<template>
    <nav class="navbar navbar-expand-lg navbar-dark ftco_navbar ftco-navbar-light site-navbar-target" id="ftco-navbar">
        <div class="container">
            <button class="navbar-toggler js-fh5co-nav-toggle fh5co-nav-toggle" type="button" data-toggle="collapse"
                    data-target="#ftco-nav" aria-controls="ftco-nav" aria-expanded="false"
                    aria-label="Toggle navigation">
                <span class="oi oi-menu"></span>
            </button>

            <div class="collapse navbar-collapse" id="ftco-nav">
                <ul class="navbar-nav nav m-auto">
                    <li class="nav-item">
                        <router-link to="/" class="nav-link"><span>Home</span></router-link>
                    </li>
                    <li class="nav-item">
                        <router-link to="/about" class="nav-link"><span>About</span></router-link>
                    </li>
                    <li class="nav-item">
                        <router-link to="/resume" class="nav-link"><span>Resume</span></router-link>
                    </li>
                    <li class="nav-item">
                        <a target="_blank" href="https://gitlab.com/yogen.mohara"
                           class="nav-link"><span>Projects</span></a></li>
                    <li class="nav-item">
                        <router-link to="/contact" class="nav-link"><span>Contact</span></router-link>
                    </li>
                    <!--<li class="nav-item">
                        <a target="_blank" href="/CV-YOGENDRA-MOHARA.pdf" class="btn btn-primary py-3 px-3 ml-lg-3"> Download CV</a></li>-->
                </ul>
            </div>
        </div>
    </nav>
</template>

<script>
    export default {
        methods: {},

        mounted() {

            $(document).ready(function () {

                // burger menu
                $('body').on('click', '.js-fh5co-nav-toggle', function (event) {

                    event.preventDefault();

                    if ($('#ftco-nav').is(':visible')) {
                        $(this).removeClass('active');
                    } else {
                        $(this).addClass('active');
                    }
                });
                //end

                $(document).on('click', '.nav-link', function (event) {

                    // if external link is present then
                    if($(this).attr("href").substring(0,4)!=='http') {
                        event.preventDefault();
                        $(this).addClass('active');
                    }


                });

                $('nav .dropdown').hover(function () {
                    var $this = $(this);
                    // 	 timer;
                    // clearTimeout(timer);
                    $this.addClass('show');
                    $this.find('> a').attr('aria-expanded', true);
                    // $this.find('.dropdown-menu').addClass('animated-fast fadeInUp show');
                    $this.find('.dropdown-menu').addClass('show');
                }, function () {
                    var $this = $(this);
                    // timer;
                    // timer = setTimeout(function(){
                    $this.removeClass('show');
                    $this.find('> a').attr('aria-expanded', false);
                    // $this.find('.dropdown-menu').removeClass('animated-fast fadeInUp show');
                    $this.find('.dropdown-menu').removeClass('show');
                    // }, 100);
                });

                // scroll
                var scrollWindow = function () {
                    $(window).scroll(function () {
                        var $w = $(this),
                            st = $w.scrollTop(),
                            navbar = $('.ftco_navbar'),
                            sd = $('.js-scroll-wrap');

                        if (st > 150) {
                            if (!navbar.hasClass('scrolled')) {
                                navbar.addClass('scrolled');
                            }
                        }
                        if (st < 150) {
                            if (navbar.hasClass('scrolled')) {
                                navbar.removeClass('scrolled sleep');
                            }
                        }
                        if (st > 350) {
                            if (!navbar.hasClass('awake')) {
                                navbar.addClass('awake');
                            }

                            if (sd.length > 0) {
                                sd.addClass('sleep');
                            }
                        }
                        if (st < 350) {
                            if (navbar.hasClass('awake')) {
                                navbar.removeClass('awake');
                                navbar.addClass('sleep');
                            }
                            if (sd.length > 0) {
                                sd.removeClass('sleep');
                            }
                        }
                    });
                };
                scrollWindow();


            });
        }
    }
</script>


<style scoped>
    .btn {
        border-radius: 5px;
    }
</style>
